A few things that users liked about our application was that it was extremely clear and easy to use, as any "wrong" moves would immediately display an alert signalling this. Our visuals were also very clean and easy to see. A few things that users recommended that we fix were that we had two separate scenes for our menu start up and the game itself, which was hard to navigate. They suggested making one scene that has a "Home" button for it to change into the main screen to start new a game. They also suggested we space out the menu bar items more on the main view.